com.mxgraph.layout.hierarchical.stage

## Class mxCoordinateAssignment.WeightedCellSorter

- java.lang.Object
- - com.mxgraph.layout.hierarchical.stage.mxCoordinateAssignment.WeightedCellSorter

- All Implemented Interfaces:
    java.lang.Comparable<java.lang.Object>
  Enclosing class:
    mxCoordinateAssignment

      protected class mxCoordinateAssignment.WeightedCellSorter
      extends java.lang.Object
      implements java.lang.Comparable<java.lang.Object>

  A utility class used to track cells whilst sorting occurs on the weighted sum of their connected edges. Does not violate (x.compareTo(y)==0) == (x.equals(y))

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `mxGraphAbstractHierarchyCell` | `cell` The cell whose median value is being calculated
    `boolean` | `nudge` Whether or not to flip equal weight values.
    `int` | `rankIndex` The index this cell is in the model rank
    `boolean` | `visited` Whether or not this cell has been visited in the current assignment
    `int` | `weightedValue` The weighted value of the cell stored

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxCoordinateAssignment.WeightedCellSorter()`
    `mxCoordinateAssignment.WeightedCellSorter(mxGraphAbstractHierarchyCell cell, int weightedValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object arg0)` comparator on the medianValue

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### weightedValue

          public int weightedValue

      The weighted value of the cell stored

    - #### nudge

          public boolean nudge

      Whether or not to flip equal weight values.

    - #### visited

          public boolean visited

      Whether or not this cell has been visited in the current assignment

    - #### rankIndex

          public int rankIndex

      The index this cell is in the model rank

    - #### cell

          public mxGraphAbstractHierarchyCell cell

      The cell whose median value is being calculated

  - ### Constructor Detail

    - #### mxCoordinateAssignment.WeightedCellSorter

          public mxCoordinateAssignment.WeightedCellSorter()

    - #### mxCoordinateAssignment.WeightedCellSorter

          public mxCoordinateAssignment.WeightedCellSorter(mxGraphAbstractHierarchyCell cell,
                                                   int weightedValue)

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.Object arg0)

      comparator on the medianValue
      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.lang.Object>`
      Parameters:
        `arg0` - the object to be compared to
      Returns:
        the standard return you would expect when comparing two double

Copyright (c) 2010 Gaudenz Alder. All rights reserved.